Subject: Search for "Smindu" in America

From: [email-masked] (DasGoogs)
Date: 20 May 1994 02:32:02 -0400

Can anyone help me.  I come from a family of Bulgarian decent and
live in Toledo, Ohio.  There is a particular spice, which, is
pronounced "smindu" if it is not spelled that way in English.  I
would like to know where in the United States I can get this spice or
if anyone has heard of it but knows the "real" name.  I've looked
around for it in Detroit and Cleveland, but nobody knows what it is
or where to get it.  I was told by a couple of people that it can't
be obtained in the US but I remember my grandmother having some.  I
can't find anything to substitute for it, and any kind of ethnic
dishes just don't taste right without it.  Grandmother has run out of
her supply and she doesn't know how to get in touch with anyone in
Bulgaria since the "liberation."